Bug 490336 - [PATCH] drm-i915-resume-force-mode.patch breaks suspend/resume w/o KMS
[PATCH] drm-i915-resume-force-mode.patch breaks suspend/resume w/o KMS
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
: EasyFix, Patch
Depends On:
Blocks: IntelKMS
  Show dependency treegraph
 
Reported: 2009-03-15 09:09 EDT by Lubomir Rintel
Modified: 2009-04-01 01:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-01 01:41:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix i915 nomodeset NULL deref. during PM resume (910 bytes, text/plain)
2009-03-15 09:09 EDT, Lubomir Rintel
no flags Details

  None (edit)
Description Lubomir Rintel 2009-03-15 09:09:54 EDT
Created attachment 335258 [details]
Fix i915 nomodeset NULL deref. during PM resume

Patch from [1] lacks check for modesetting being enabled, which causes my machine to hang during suspend (why is the resume code path executed during suspend is beyond my understanding).

[1] http://lists.freedesktop.org/archives/intel-gfx/2009-February/001310.html

Attaching a patch that fixed the problem for me.
Comment 1 Lubomir Rintel 2009-03-20 06:34:44 EDT
Ping?
Comment 2 Dave Jones 2009-03-26 14:46:55 EDT
applied to cvs

Note You need to log in before you can comment on or make changes to this bug.